net.sf.jasperreports.engine.fill

## Class JRFillScriptlet

- java.lang.Object
- - net.sf.jasperreports.engine.fill.JRFillScriptlet

- All Implemented Interfaces:
    java.lang.Cloneable, JRCloneable, JRPropertiesHolder, JRScriptlet

      public class JRFillScriptlet
      extends java.lang.Object
      implements JRScriptlet

  Version:
    $Id: JRFillScriptlet.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRScriptlet` | `parent`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRScriptlet

      `SCRIPTLET_PARAMETER_NAME_SUFFIX`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRFillScriptlet(JRScriptlet parent, JRFillObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getName()`
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `JRAbstractScriptlet` | `getScriptlet()`
    `java.lang.Class<?>` | `getValueClass()`
    `java.lang.String` | `getValueClassName()`
    `boolean` | `hasProperties()` Checks whether the object has any properties.
    `void` | `setDescription(java.lang.String description)`
    `void` | `setScriptlet(JRAbstractScriptlet scriptlet)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          protected JRScriptlet parent

  - ### Constructor Detail

    - #### JRFillScriptlet

          protected JRFillScriptlet(JRScriptlet parent,
                         JRFillObjectFactory factory)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `JRScriptlet`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `JRScriptlet`

    - #### setDescription

          public void setDescription(java.lang.String description)

      Specified by:
        `setDescription` in interface `JRScriptlet`

    - #### getValueClass

          public java.lang.Class<?> getValueClass()

      Specified by:
        `getValueClass` in interface `JRScriptlet`

    - #### getValueClassName

          public java.lang.String getValueClassName()

      Specified by:
        `getValueClassName` in interface `JRScriptlet`

    - #### getScriptlet

          public JRAbstractScriptlet getScriptlet()

    - #### setScriptlet

          public void setScriptlet(JRAbstractScriptlet scriptlet)

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com